using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

namespace AboutBox 
{

	public class AboutPanel:IDisposable 
	{
		private System.Windows.Forms.Form APform; 
		//private System.Windows.Forms.Label lb1;
		//private System.Windows.Forms.Label lb2;
		//private System.Windows.Forms.Label lb3;
		//private System.Windows.Forms.Label lb4;
		//private System.Windows.Forms.PictureBox pic;
		//Constructor
		public AboutPanel()
		{
			APform = new System.Windows.Forms.Form();
			
			//Sizebale form, not covering all the screen
			APform.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
			APform.Left =10;
			APform.Top = 40;
			APform.Width = 220;
			APform.Height = 150;
			
			//Panel 1
			System.Windows.Forms.Panel pnl1 = new System.Windows.Forms.Panel();
			pnl1.Left=0;
			pnl1.Top=0;
			pnl1.Width=220;
			pnl1.Height=150;
			pnl1.BackColor=System.Drawing.Color.Blue;
			APform.Controls.Add(pnl1);
			
			//Panel 2
			System.Windows.Forms.Panel pnl2 = new System.Windows.Forms.Panel();
			pnl2.Left=1;
			pnl2.Top=18;
			pnl2.Width=217;
			pnl2.Height=131;
			pnl2.BackColor=System.Drawing.Color.White;
			pnl1.Controls.Add(pnl2);
			
			
			//OK Button
			System.Windows.Forms.Button btnOK = new System.Windows.Forms.Button();
			btnOK.Left = 199;
			btnOK.Top= 1;
			btnOK.Height=15;
			btnOK.Width=20;
			btnOK.ForeColor= System.Drawing.Color.Black;
			btnOK.BackColor= System.Drawing.SystemColors.Control;
			btnOK.Font=new Font("Tahoma",6,FontStyle.Bold);
			btnOK.Text = "OK";
			pnl1.Controls.Add(btnOK);
			btnOK.Click += new System.EventHandler(this.btnOK_Click);
			
			//Caption Label
			System.Windows.Forms.Label lb1 = new System.Windows.Forms.Label();
			lb1.Left=1;
			lb1.Top=1;
			lb1.Height=16;
			lb1.Width=195;
			lb1.ForeColor=System.Drawing.Color.White;
			lb1.BackColor=pnl1.BackColor;
			lb1.Text=CaptionText;
			lb1.Font=new Font("Tahoma",9,FontStyle.Bold);
			pnl1.Controls.Add(lb1);
			
			//Title Label
			System.Windows.Forms.Label lb2 = new System.Windows.Forms.Label();
			lb2.Left=1;
			lb2.Top=1;
			lb2.Height=12;
			lb2.Width=216;
			lb2.ForeColor=System.Drawing.Color.Black;
			lb2.BackColor=pnl2.BackColor;
			lb2.Font=new Font("Tahoma",7,FontStyle.Bold);
			pnl2.Controls.Add(lb2);
			
			//MainText Label
			System.Windows.Forms.Label lb3 = new System.Windows.Forms.Label();
			lb3.Left=60;
			lb3.Top=20;
			lb3.Height=95;
			lb3.Width=157;
			lb3.ForeColor=System.Drawing.Color.Black;
			lb3.BackColor=pnl2.BackColor;
			lb3.Font=new Font("Tahoma",6,FontStyle.Bold);
			pnl2.Controls.Add(lb3);
			
			//CopyRight Label
			System.Windows.Forms.Label lb4 = new System.Windows.Forms.Label();
			lb4.Left=20;
			lb4.Top=121;
			lb4.Height=8;
			lb4.Width=180;
			lb4.ForeColor=System.Drawing.Color.Black;
			lb4.BackColor=pnl2.BackColor;
			lb4.Font=new Font("Tahoma",5,FontStyle.Bold);
			lb4.TextAlign = ContentAlignment.TopCenter;
			pnl2.Controls.Add(lb4);
			
			//Picture Holder
			System.Windows.Forms.PictureBox pic=new System.Windows.Forms.PictureBox();
			pic.Left=5;
			pic.Top=20;
			pic.Height=50;
			pic.Width=50;
			pic.BackColor=pnl2.BackColor;
			pic.SizeMode = PictureBoxSizeMode.StretchImage;
			pnl2.Controls.Add(pic);
		}
		
		private void btnOK_Click(System.Object sender, System.EventArgs e) 
		{
			//Dispose of the form
			try
			{
				APform.Dispose ();
			}
			finally{}
		}
		
		//Show and continue execution. Does not wait for the AboutBox to return
		public void Show()
		{
			APform.Show();
		}
				
		public double DLLVersion
		{
			get {return 1;}
		}

		public void Dispose()
		{
			try
			{
				APform.Dispose ();
			}
			finally{}
		}
		
		public string Author()
		{
			return ("Cableguy");
		}
		public string CaptionText
		{
		get {return CaptionText;}
		set {CaptionText = value;}
		}
	}
}
